/*
This module implements the STK500v2 primitives for In System Programming.
Functions accept parameters directly from the input data stream and prepare
results for the output data stream, where appropriate.
*/

#pragma once

#include "stk500protocol.h"

namespace stk{
namespace isp{

byte EnterProgmode();
void LeaveProgmode();
byte ChipErase();
byte ProgramMemory(bool isEeprom);
word ReadMemory(bool isEeprom);
byte ProgramFuse();
byte ReadFuse();
uint Multi();

}
}
